/***************************************************************
From the book "Motif Programming, The Essentials...and More"
by Marshall Brain.
Published by Digital Press, ISBN 1-55558-089-0.
To order the book, call 1-800-DIGITAL and ask for EY-J816E-DP.

Copyright 1992, by Digital Equipment Corp.

This code demonstrates the frame widget.
***************************************************************/

/*frame.c*/

#include <Xm/Xm.h>     
#include <Xm/Label.h>
#include <Xm/Frame.h>

XtAppContext context;
XmStringCharSet char_set=XmSTRING_DEFAULT_CHARSET;

Widget toplevel, label, frame;       

void main(argc,argv)
    int argc;
    char *argv[];
{       
    Arg al[10];       
    int ac;

    /* create the toplevel shell */
    toplevel = XtAppInitialize(&context,"",NULL,0,&argc,argv,NULL,NULL,0);

    /* Create the frame widget. */
    frame=XmCreateFrame(toplevel,"frame",NULL,0); 
    XtManageChild(frame);

    /* Create the label widget as a child of the frame. */
    ac=0;       
    XtSetArg(al[ac],XmNlabelString,
        XmStringCreate("Hello World",char_set)); ac++; 
    label=XmCreateLabel(frame,"label",al,ac); 
    XtManageChild(label);

    XtRealizeWidget(toplevel); 
    XtAppMainLoop(context);     
}
